Subject: Re: bug#51197: 28.0.50; [PATCH] get process-async-https-with-delay to pass

From: Lars Ingebrigtsen <[email-masked]>
Date: Fri, 15 Oct 2021 00:56:30 +0200

dick <[email-masked]> writes:

>> Well, I see your point -- this test isn't about testing security stuff
>
> My larger point is `make check` fails as of October 13 because some
> certificate in the ELPA tls chain has fallen out of favor with the notoriously
> capricious security gods.

This means that your TLS toolchain is out of date and you should update
it.  (Google for "Let's Encrypt meltdown of September 30th 2021".)

> It's becoming increasingly obvious to me that I'm the only person in the
> emacsverse who regularly runs `make check`, as no one else, including the
> maintainers, seems to notice `make check` failures as quickly as I do.

I run "make check" every day.  The test works fine on Debian/bullseye.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no